curl --request POST \
--url https://api.salvy.com.br/api/v3/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrollmentId": "SLY-12345",
"status": "in-use",
"category": "notebook",
"brand": "Dell",
"model": "XPS 13",
"vendorName": "Tech Supplier Inc.",
"serialNumber": "SN1234567890",
"acquisitionDate": "2025-12-10",
"acquisitionType": "bought",
"priceCents": 250000,
"nfeNumber": "000123456789",
"contractId": "CT-2024-0001",
"warrantyExpirationDate": "2025-12-24",
"allocatedLocation": "Sala do RH",
"employeeId": "123e4567-e89b-12d3-a456-426614174000",
"employeeAttachedAt": "2025-01-01T00:00:00.000Z",
"customFields": [
{
"label": "teste",
"value": "teste"
}
]
}
'import requests
url = "https://api.salvy.com.br/api/v3/assets"
payload = {
"enrollmentId": "SLY-12345",
"status": "in-use",
"category": "notebook",
"brand": "Dell",
"model": "XPS 13",
"vendorName": "Tech Supplier Inc.",
"serialNumber": "SN1234567890",
"acquisitionDate": "2025-12-10",
"acquisitionType": "bought",
"priceCents": 250000,
"nfeNumber": "000123456789",
"contractId": "CT-2024-0001",
"warrantyExpirationDate": "2025-12-24",
"allocatedLocation": "Sala do RH",
"employeeId": "123e4567-e89b-12d3-a456-426614174000",
"employeeAttachedAt": "2025-01-01T00:00:00.000Z",
"customFields": [
{
"label": "teste",
"value": "teste"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enrollmentId: 'SLY-12345',
status: 'in-use',
category: 'notebook',
brand: 'Dell',
model: 'XPS 13',
vendorName: 'Tech Supplier Inc.',
serialNumber: 'SN1234567890',
acquisitionDate: '2025-12-10',
acquisitionType: 'bought',
priceCents: 250000,
nfeNumber: '000123456789',
contractId: 'CT-2024-0001',
warrantyExpirationDate: '2025-12-24',
allocatedLocation: 'Sala do RH',
employeeId: '123e4567-e89b-12d3-a456-426614174000',
employeeAttachedAt: '2025-01-01T00:00:00.000Z',
customFields: [{label: 'teste', value: 'teste'}]
})
};
fetch('https://api.salvy.com.br/api/v3/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"companyId": "123e4567-e89b-12d3-a456-426614174000",
"enrollmentId": "SLY-12345",
"category": "notebook",
"brand": "Dell",
"model": "XPS 13",
"vendorName": "Tech Supplier Inc.",
"serialNumber": "SN1234567890",
"deviceId": "8A1D30F4-8C87-44CD-A663-2229DE6F64BD",
"acquisitionDate": "2025-12-10",
"acquisitionType": "bought",
"priceCents": 250000,
"nfeNumber": "000123456789",
"contractId": "CT-2024-0001",
"warrantyExpirationDate": "2025-12-24",
"status": "in-use",
"allocatedLocation": "Sala do RH",
"employeeId": "123e4567-e89b-12d3-a456-426614174000",
"employeeAttachedAt": "2025-01-01T00:00:00.000Z",
"createdAt": "2025-01-01T00:00:00.000Z",
"archivedAt": "2025-06-01T00:00:00.000Z",
"source": "desktop-client",
"customFields": [
{
"label": "teste",
"type": "text",
"value": "teste"
}
]
}{
"code": "idempotency-parameters-mismatch-error",
"message": "<string>"
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "resource-not-found",
"message": "<string>"
}{
"code": "payload-too-large",
"message": "<string>"
}{
"code": "input-validation-error",
"message": "<string>",
"details": [
{
"key": "<string>",
"message": "<string>"
}
]
}{
"code": "unknown",
"message": "<string>"
}Criar equipamento
Cria um novo equipamento.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Idempotency key for this request. Will return the same response if the same request is made again with the same key. Fails if parameters are different.
Body
Número de patrimônio do equipamento.
"SLY-12345"
Situação do equipamento. O valor archived não é aceito na criação — arquive o equipamento através de POST /assets/:id/archive depois de criado.
available, in-use, allocated, maintenance, broken, lost, stolen, sold, donated, discarded, obsolete, blocked, pending-verification, awaiting-quote "in-use"
Categoria do equipamento. Uma categoria com esse nome é criada automaticamente caso ainda não exista.
"notebook"
Marca do equipamento.
"Dell"
Modelo do equipamento.
"XPS 13"
Nome do fornecedor do equipamento.
"Tech Supplier Inc."
Número de série do equipamento.
"SN1234567890"
Data de aquisição do equipamento.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$"2025-12-10"
Tipo de aquisição do equipamento.
bought, rented, other "bought"
Preço de aquisição do equipamento, em centavos.
250000
Número da nota fiscal de aquisição do equipamento.
"000123456789"
Identificador do contrato relacionado ao equipamento.
"CT-2024-0001"
Data de expiração da garantia do equipamento.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$"2025-12-24"
Local de alocação do equipamento.
"Sala do RH"
ID do colaborador ao qual o equipamento será associado. Deve pertencer à mesma empresa da chave de API.
"123e4567-e89b-12d3-a456-426614174000"
Data de vinculação do colaborador ao equipamento.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-01-01T00:00:00.000Z"
Campos personalizados do equipamento.
Show child attributes
Show child attributes
[{ "label": "teste", "value": "teste" }]
Response
Identificador do equipamento na plataforma Salvy.
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
ID da empresa dona do equipamento.
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
Número de patrimônio do equipamento.
"SLY-12345"
Categoria do equipamento. Nulo quando o equipamento não está categorizado.
"notebook"
Marca do equipamento.
"Dell"
Modelo do equipamento.
"XPS 13"
Nome do fornecedor do equipamento.
"Tech Supplier Inc."
Número de série do equipamento.
"SN1234567890"
ID do dispositivo coletado pelo aplicativo mobile da Salvy.
"8A1D30F4-8C87-44CD-A663-2229DE6F64BD"
Data de aquisição do equipamento.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$"2025-12-10"
Tipo de aquisição do equipamento.
bought, rented, other "bought"
Preço de aquisição do equipamento, em centavos.
250000
Número da nota fiscal de aquisição do equipamento.
"000123456789"
Identificador do contrato relacionado ao equipamento.
"CT-2024-0001"
Data de expiração da garantia do equipamento.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$"2025-12-24"
Situação do equipamento.
available, in-use, allocated, maintenance, broken, lost, stolen, sold, donated, discarded, archived, obsolete, blocked, pending-verification, awaiting-quote "in-use"
Local de alocação do equipamento.
"Sala do RH"
ID do colaborador ao qual o equipamento está associado. Nulo quando não há colaborador vinculado.
"123e4567-e89b-12d3-a456-426614174000"
Data de vinculação do colaborador ao equipamento. Nulo quando não há colaborador vinculado, inclusive após a remoção automática do vínculo.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-01-01T00:00:00.000Z"
Data de criação do equipamento.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-01-01T00:00:00.000Z"
Data de arquivamento do equipamento. Nulo quando não está arquivado. Controlado através de POST /assets/:id/archive e POST /assets/:id/unarchive.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-06-01T00:00:00.000Z"
Fonte de criação do equipamento.
manual, sheets-import, nfe-import, desktop-client, mobile-app, android-mdm "desktop-client"
Campos personalizados do equipamento.
Show child attributes
Show child attributes
[
{
"label": "teste",
"type": "text",
"value": "teste"
}
]